Friday, November 02, 2012

ESXi 5.1 Upgrade – No eXecute (NX) bit is not enabled on the host

I was trying to upgrade a ESXi 4.1 host to ESXi 5.1 and got the below warning message after a scan.

No eXecute (NX) bit is not enabled on the host.  New ESXi version requires a CPU with NX/XD bit supported and enabled.

No eXecute NX bit is not enabled

The warning about the Dell OpenManage software module does not prevent the upgrade but the NX bit warning does.

Fortunately, my Dell PowerEdge 2950 does support NX but it was disabled by default.

DELL 2950 Execute Disable Disabled

Enable the Execute Disable option in the BIOS and it solved the upgrade issue.

DELL 2950 Execute Disable Enabled

1 comment:

nishtha said...

I recently came accross your blog and have been reading along. I thought I would leave my first
comment. I dont know what to say except that I have enjoyed reading. Nice blog. I will keep
visiting this blog very often. I am an PMP Training Centers Chennai.
I feel great after reading this information. Please make update I will be regular rss to this site.
PMI REP Chennai
PMP certification Training Chennai